Summary: Linux based X terminal server kit
Name: xtermkit
Version: 2.6
Release: 1
Vendor: Solucorp
Copyright: GPL
Group: system
Source: ftp://ftp.solucorp.qc.ca/pub/xterm/xtermkit-2.6.src.tar.gz
BuildRoot: /tmp/xterm-root
Packager: Jacques Gelinas <jack@solucorp.qc.ca>

%description
This kit includes the components to setup an application server and
also the component to turn any PC into an X terminal, even diskless
PC.

%prep
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS" alldoc
make -C conf all
make -C utils all

%install
if [ "$RPM_BUILD_ROOT" != "" -a "$RPM_BUILD_ROOT" != "/" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi
export RPM_BUILD_ROOT
make install
make -C conf install_for_rpm
make -C utils install_for_rpm

%clean
if [ "$RPM_BUILD_ROOT" != "" -a "$RPM_BUILD_ROOT" != "/" ] ; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
/usr/lib/xtermkit
/usr/sbin/*
%config /etc/profile.d/xprinter.sh
%config(noreplace)/usr/bin/soffice
%doc README.linuxppc
%doc README.sgml
%doc doc/*
%doc config.kernel-2.0
%doc config.kernel-2.2
%doc agpgart-2.2.16.patch


%post
# If the terminal runtime is already install, we just run the post-setup
if [ -d /xterminals/root ] ; then
	echo Running /usr/sbin/xtermadmin post-setup
	/usr/sbin/xtermadmin post-setup
fi


